This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457479 - "Run as root" dialog of kdm system settings is shown twice
"Run as root" dialog of kdm system settings is shown twice
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 16:40 EDT by Florian Sievert
Modified: 2015-07-13 13:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 03:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Sievert 2008-07-31 16:40:14 EDT
Description of problem:
The dialog "Run as root" that is used to launch "/usr/bin/kcmshell4 kdm" is
shown twice. If the user enters the password correctly and leaving the
configuration or directly cancels, the "Run as root" dialog is shown again.

Version-Release number of selected component (if applicable):
using kde-redhat/testing
kdebase-workspace-libs-4.1.0-3.fc9.i386
kdebase-workspace-4.1.0-3.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Open "systemsettings"
2. Go to tab "Advancaed"
3. Open "Login Manager"
4. "The Run as Root"-Dialog is showed. Press cancel.
  
Actual results:
The dialog disappears and a new one is showed. 

Expected results:
The dialog just disappears.

Additional info:
The same issue happens, if the user is leaving the configuration on any way
(cancle, ok). If the second dialog is also cancled, it disappears. In one case,
it even started over and over again, but I am not able to reproduce it anymore.
Comment 1 Sterling Winter 2008-08-01 10:06:39 EDT
Confirmed, and the same thing happens with "System Settings --> Advanced --> Samba".
Comment 2 Lukáš Tinkl 2008-08-01 10:17:57 EDT
Let's look at it :)
Comment 3 Colin J Thomson 2008-08-01 18:02:05 EDT
New updates from kde-redhat-testing tonight, kdebase-workspace-4.1.0-6.fc9 etc
and this seems fixed now.
I still get "Command '/usr/bin/kcmshell4 kdm --lang en_GB' not found" on closing
the login manager.
Comment 4 Kevin Kofler 2008-08-02 01:36:16 EDT
Please, one issue per bug report.
The bug from comment #3 has been filed as bug 457638.
Comment 5 Fedora Update System 2008-08-07 19:48:39 EDT
kdebase-runtime-4.1.0-1.fc9, kdeaccessibility-4.1.0-1.fc9, kdegames-4.1.0-1.fc9, kdeplasma-addons-4.1.0-1.fc9, kdebase-workspace-4.1.0-8.fc9, kdebase-4.1.0-1.fc9.1, qgtkstyle-0.0-0.2.20080719svn693.fc9, qt-4.4.0-17.fc9, kdeutils-4.1.0-1.fc9.1, qscintilla-2.2-3.fc9, kdegraphics-4.1.0-3.fc9, kde-i18n-3.5.9-8.fc9, kdeartwork-4.1.0-1.fc9, kdeedu-4.1.0-1.fc9, compiz-0.7.6-3.fc9.1, PyQt4-4.4.2-2.fc9, automoc-1.0-0.8.rc1.fc9, phonon-4.2.0-2.fc9, akonadi-1.0.0-2.fc9, kdenetwork-4.1.0-2.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, sip-4.7.6-1.fc9, kdepimlibs-4.1.0-2.fc9, kdelibs-4.1.0-4.fc9, kdebindings-4.1.0-5.fc9, kdesdk-4.1.0-1.fc9, kde-filesystem-4-17.fc9, soprano-2.1-1.fc9, kde-l10n-4.1.0-2.fc9, kdemultimedia-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-runtime kdeaccessibility kdegames kdeplasma-addons kdebase-workspace kdebase qgtkstyle qt kdeutils qscintilla kdegraphics kde-i18n kdeartwork kdeedu compiz PyQt4 automoc phonon akonadi kdenetwork quarticurve-kwin-theme sip kdepimlibs kdelibs kdebindings kdesdk kde-filesystem soprano kde-l10n kdemultimedia kdetoys kdeadmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743
Comment 6 Fedora Update System 2008-08-12 14:19:03 EDT
kdelibs-4.1.0-5.fc9, kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, phonon-4.2.0-2.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdegraphics-4.1.0-3.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdebase-runtime-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeedu quarticurve-kwin-theme kdeartwork kdetoys kdesdk PyQt4 kde-i18n kdebase sip phonon kdebase-workspace automoc kdegames akonadi soprano konq-plugins compiz qt qscintilla kdepimlibs kdegraphics kdebindings kdenetwork kde-l10n kdeplasma-addons qgtkstyle kdeutils kdemultimedia kdebase-runtime kdeadmin kde-filesystem kdeaccessibility'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743
Comment 7 Fedora Update System 2008-09-10 03:19:01 EDT
kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9, kdebase-runtime-4.1.0-3.fc9, phonon-4.2.0-4.fc9, kdegraphics-4.1.0-5.fc9, kdelibs-4.1.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.